RFC 289

What we hope is an official list of host names

πŸ“… published December 1971, from ietf

RFC 289: What We Hope Is An Official List of Host Names πŸŽ€

okay bestie, this one is a vibe check πŸ’… It's NWG/RFC #289, dated 21-DEC-71 16:29, with the NIC number 8295. It was written by Richard W. Watson of SRI-ARC ✨ The header doesn't say what category or status it has, and it doesn't list anything it obsoletes or updates πŸ¦‹


The Big Idea 🌸

Watson opens by saying this is the list everyone hopes will be accepted as the official formal host names and nicknames 🫢 And he's right that no other NWG topic got this much comment 😭 So he walks us through how the list came to be, lowkey like a group-chat recap πŸ“

How We Got Here 🧚

Some standard set of names was needed. NCPs and Telnets had to recognize them, and they had to be usable on hardcopy to show a person's affiliation πŸ’œ Before that, several sets of names were already floating around 🌈

Peggy Karp posted the first formal proposal for standard names in RFC 226, which is NIC 7625 πŸ‘‘ People sent back a bunch of counter proposals, and that turned into RFC 247, which is NIC 7688 πŸ’€ Still, nobody was happy, because the names didn't use the ones normally tied to hosts or projects πŸ™ˆ

At the last NWG meeting, people talked it out and landed on the only reasonable compromise: have both formal names and nicknames, and let the people at each host pick their own names inside the guidelines the earlier discussion seemed to agree on ⭐

Those guidelines were summarized in RFC 273, which is NIC 7837 πŸ¦‹ The NIC agreed to collect and publish whatever names each host wanted. A tentative list came out as RFC 280, which is NIC 8060 ✨ More people replied, some with new names and some changing the ones already on the list πŸ”₯

Almost every site has answered by now, and this is the list that came out of it πŸ’–

Watson's big takeaway: people should feel free to change their host name whenever the situation calls for it 🫢 Main character energy for host names, fr fr πŸŽ€

The List πŸ¦‹

    Formal Name                    Nickname        Network Address

    AMES-67                                         16

    AMES-ILLIAC                    I4

    AMES-TIP                                       144

    BBN-NCC                        NCC               5
    BBN-TENEX                      BBN              69

    BBN-TENEXB                     BBNB            133

    BBN-TESTIP                                     158

    BURR                                            15

    BURR-TEST                                       79

    CASE-10                                         13

    CMU-10                                          14

    ETAC-TIP                                       148

    GWC-TIP                                        152

    HARV-1                         PDP1             73

    HARV-10                        ACL               9

    HARV-11                                        137

    ILL-ANTS                       ANTS             12

    ILL-CAC                        CAC              76

    LL-67                                           10

    LL-TSP                                         138

    LL-TX-2                        TX-2             74

    MCCL-418                                        22

    MIT-AI                                         134

    MIT-DMCG                       DMCG             70

    MIT-MULTICS                    MIT-M             6

    MITRE-TIP                                      145

    NBS-CCST                       NBS              19
    NBS-TIP                                        147

    NCAR-7600                                       25

    NCAR-TIP                                       153

    RADC-645                                        18

    RADC-TIP                                       146

    RAND-CSG                                        71

    RAND-RCC                                         7

    SDC-ADEPT                      SDC               8

    SRI-AI                                          66

    SRI-ARC                                          2

    SU-AI                                           11

    TINK-418                                        21

    UCLA-CCN                       CCN              65

    UCLA-NMC                       SEX               1

    UCLA-MOD75                     UCSB              3

    USC-44                                          23

    USC-TIP                                        151

    UTAH-10                                          4

Machine-Readable Note 🌈

   [ This RFC was put into machine readable form for entry ]
   [ into the online RFC archives by BBN Corp. under the   ]
   [ direction of Alex McKenzie.                   12/96   ]
πŸ“¦ where this page comes from